Online Courses Technical Specifications

System Requirements

You can view our online courses on any device with headphones or speakers. 

The minimum requirements needed to view our eLearning content on our LMS are as follows:

Web Browser:

  • Internet Explorer 8 (minimum)
  • Chrome (latest version)
  • Firefox (latest version)
  • Safari (latest version)

Current Issues

There are no current issues that we are aware of. If you would like to report any issues you may be experiencing please contact us on +44  (0)1572 717000 or email info@financetalking.com and we will be happy to help.